Subject: Re: [Speermint] I-D Action:draft-ietf-speermint-terminology-15.txt

From: "Daryl Malas" <[email-masked]>
Date: Fri, 1 Feb 2008 15:09:40 -0700

John,

Thank you for the quick response.  Comments in-line...

-----Original Message-----
From: Elwell, John [mailto:[email-masked]] 
Sent: Wednesday, January 30, 2008 12:47 AM
To: Daryl Malas; [email-masked]
Subject: RE: [Speermint] RE: I-D
Action:draft-ietf-speermint-terminology-15.txt

Daryl,

Thanks, it's getting there. A few more things I noticed:

1. The document uses the words "application" and "session" in a number
of places, and I feel there may be some inconsistency. For example:
"A SIP Service Provider (or SSP) is an entity that provides 
   application services utilizing SIP signaling to its customers."
Should it really be "application services", or should it be "session
services". Consider a service provider that provides no more than SIP
proxy functionality. It can hardly be said to provide application
services to its users, so according to the definition it is not an SSP.
There is just one other instance of "application". I wonder if the two
instances should be changed to "session".

[DM] I think the confusion here is SIP is an application-layer control
protocol, which is used to create sessions.  I will check the uses of
application again, and will consider changing to "session".  I do not
see a problem with it.   

2. "In some cases, some entity (usually a 3rd party or federation) 
   provides peering assistance to the originating SSP by providing this 
   function.  The assisting entity may provide information relating to 
   direct (Section 4.2.1) or indirect (Section 4.2.2) peering as 
   necessary."
Two comments. First, should "peering assistance" be changed to
"assistance".
[DM] I think it means the same thing.
Second, this paragraph occurs within 4.3.2 on LRF. Should a similar
statement be added to 4.3.1 on LuF?
[DM] The reason why it is only in the LRF section, is because the LUF is
simply a mechanism.  It is used to query either an internal or an
"assisting" server.  No one can assist with the mechanism.

3. "In this case it is generally required that a 
   trust relationship is established between the originating SSP and the

   transit network on one side; and, the transit network representing 
   the termination network on the other side."
Two comments: First, in order to complement the first part, should the
latter part be rewritten as "; and the transit network and the
terminating SSP on the other side."?
[DM] It appears to me you just would like to change "network" to "SSP",
is this correct?!
Second, on the use of the term "transit network". Is this intentional,
or would it be better to talk about "transit SSP". In this context a
transit network must provide functionality at the session layer
(otherwise it would not be considered as indirect peering), so doesn't
this make it an SSP?
[DM] I agree.  The context of 4.2.2 is Layer 5 peering, so I think both
"network" instances should be corrected to "SSP's".

John

> -----Original Message-----
> From: Daryl Malas [mailto:[email-masked]]
> Sent: 29 January 2008 21:41
> To: [email-masked]
> Subject: [Speermint] RE: I-D
> Action:draft-ietf-speermint-terminology-15.txt
> 
> This version of the draft includes updates to the following sections:
> 
> Section 2. Context
> Section 4.2.3 Assisted Peering (REMOVED) Section 4.3.1 Location 
> Routing Function Section 4.3.2 Location Routing Function (Previously 
> Look-Up Function) Section 5 - Minor add to "Common dynamic policies"
> Section 9 & 10
> 
> --Daryl
> 
> 
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Tuesday, January 29, 2008 2:10 PM
> To: [email-masked]
> Cc: [email-masked]
> Subject: [Speermint] I-D
> Action:draft-ietf-speermint-terminology-15.txt
> 
> A New Internet-Draft is available from the on-line Internet-Drafts 
> directories.
> This draft is a work item of the Session PEERing for Multimedia 
> INTerconnect Working Group of the IETF.
> 
> 
> 	Title           : SPEERMINT Terminology
> 	Author(s)       : D. Malas, D. Meyer
> 	Filename        : draft-ietf-speermint-terminology-15.txt
> 	Pages           : 12
> 	Date            : 2008-01-29
> 
> This document defines the terminology that is to be used in describing

> Session PEERing for Multimedia INTerconnect (SPEERMINT).
> 
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-ietf-speermint-termi
> nology-15.
> txt
> 
> To remove yourself from the I-D Announcement list, send a message to 
> [email-masked] with the word unsubscribe in the body of

> the message.
> You can also visit https://www1.ietf.org/mailman/listinfo/I-D-announce
> to change your subscription settings.
> 
> Internet-Drafts are also available by anonymous FTP. Login with the 
> username "anonymous" and a password of your e-mail address. After 
> logging in, type "cd internet-drafts" and then
> 	"get draft-ietf-speermint-terminology-15.txt".
> 
> A list of Internet-Drafts directories can be found in 
> http://www.ietf.org/shadow.html or 
> ftp://ftp.ietf.org/ietf/1shadow-sites.txt
> 
> Internet-Drafts can also be obtained by e-mail.
> 
> Send a message to:
> 	[email-masked].
> In the body type:
> 	"FILE /internet-drafts/draft-ietf-speermint-terminology-15.txt".
> 
> NOTE:   The mail server at ietf.org can return the document in
> 	MIME-encoded form by using the "mpack" utility.  To use this
> 	feature, insert the command "ENCODING mime" before the "FILE"
> 	command.  To decode the response(s), you will need "munpack" or
> 	a MIME-compliant mail reader.  Different MIME-compliant mail
readers
> 	exhibit different behavior, especially when dealing with
> 	"multipart" MIME messages (i.e. documents which have been split
> 	up into multiple messages), so check your local documentation on
> 	how to manipulate these messages.
> 
> Below is the data which will enable a MIME compliant mail reader 
> implementation to automatically retrieve the ASCII version of the 
> Internet-Draft.
> 
> _______________________________________________
> Speermint mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/speermint
> 
_______________________________________________
Speermint mailing list
[email-masked]
http://www.ietf.org/mailman/listinfo/speermint

---

From: David Schwartz <[email-masked]>
Date: Sun, 3 Feb 2008 11:15:53 +0200

Hi Daryl

I have one comment...

> "assisting" server.  No one can assist with the mechanism.

DS: I agree with John on this one. In the same way that assistance can  
be offered for LRF it can be offered for LUF. You yourself state "It  
is used to query either an internal or an assisting server". To me -  
this is an external server providing "assistance" for the LUF.

D.

---

From: "Elwell, John" <[email-masked]>
Date: Mon, 04 Feb 2008 08:56:32 +0000

Daryl,

See below.

John 

> Sent: 01 February 2008 22:10
> To: Elwell, John; [email-masked]
[JRE] My proposed wording change went further than that. The problem is
that for the "on one side" case the present words talk about the two
networks between which a trust relationship is established, but for the
"on the other side" case the present words mention only a single
network, which doesn't make sense.

> > You can also visit 
> https://www1.ietf.org/mailman/listinfo/I-D-announce

---

From: "Livingood, Jason" <[email-masked]>
Date: Mon, 4 Feb 2008 13:42:42 -0500

Guys - 

I am at the end of my rope on this one.  John, I appreciate the feedback
but we're really iterating this greatly overdue draft for just you at
this point and I want to accelerate the feedback and close this draft
within one week.  Taking in the feedback via email, waiting for the I-D
editor to publish, then seeing more feedback and interating again is
looking like a 3 - 4 week process...

Daryl - Would you please conatct John privately and arrange a brief con
call to discuss and close any remaining concerns he has.  

John - I appreciate your making yourself available for ~30 mins to close
any remaining concerns you have.  

Thanks all.

Jason

> Sent: Wednesday, January 30, 2008 2:47 AM
> 1. The document uses the words "application" and "session" in 
> a number of places, and I feel there may be some 
> inconsistency. For example:
> Should it really be "application services", or should it be 
> "session services". Consider a service provider that provides 
> no more than SIP proxy functionality. It can hardly be said 
> to provide application services to its users, so according to 
> the definition it is not an SSP.
> There is just one other instance of "application". I wonder 
> if the two instances should be changed to "session".
> 
> Two comments. First, should "peering assistance" be changed 
> to "assistance".
> Second, this paragraph occurs within 4.3.2 on LRF. Should a 
> similar statement be added to 4.3.1 on LuF?
> 
> Two comments: First, in order to complement the first part, 
> should the latter part be rewritten as "; and the transit 
> network and the terminating SSP on the other side."?
> Second, on the use of the term "transit network". Is this 
> intentional, or would it be better to talk about "transit 
> SSP". In this context a transit network must provide 
> functionality at the session layer (otherwise it would not be 
> considered as indirect peering), so doesn't this make it an SSP?
> 
> John
> 
> > 	a MIME-compliant mail reader.  Different MIME-compliant 
> mail readers

---

From: "Daryl Malas" <[email-masked]>
Date: Tue, 5 Feb 2008 17:55:22 -0700

Jason,

John and I had a call this afternoon to resolve all of the remaining
issues he had with the draft.  As I was just about to submit the rev
(and final)16, I noticed a couple of NIT issues.  I plan to resolve
these tomorrow and upload the version.

Thanks,

Daryl

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On
Behalf Of Elwell, John
Sent: Tuesday, February 05, 2008 1:22 AM
To: Livingood, Jason; Daryl Malas; [email-masked]
Subject: Re: [Speermint] I-D
Action:draft-ietf-speermint-terminology-15.txt

Jason,

If comments are no longer solicited I will withdraw my comments - please
go ahead and request publication. However, I really don't see why it is
a 3-4 week cycle to bring out a new version - once comments have been
received and resolved, a new version can be published in less than half
an hour, now that we no longer go through the I-D editor.

John  

> From: Livingood, Jason [mailto:[email-masked]]
> Sent: 04 February 2008 18:43
> To: Elwell, John; Daryl Malas; [email-masked]
> I am at the end of my rope on this one.  John, I appreciate the 
> feedback but we're really iterating this greatly overdue draft for 
> just you at this point and I want to accelerate the feedback and close

> this draft within one week.  Taking in the feedback via email, waiting

> for the I-D editor to publish, then seeing more feedback and 
> interating again is looking like a 3 - 4 week process...
> 
> Daryl - Would you please conatct John privately and arrange a brief 
> con call to discuss and close any remaining concerns he has.
> 
> John - I appreciate your making yourself available for ~30 mins to 
> close any remaining concerns you have.
> 
> Thanks all.
> 
> Jason
> 
> > 1. The document uses the words "application" and "session" in a 
> > number of places, and I feel there may be some inconsistency. For 
> > example:

> > services". Consider a service provider that provides no more than 
> > SIP proxy functionality. It can hardly be said to provide 
> > application services to its users, so according to the definition it

> > is not an SSP.
> > There is just one other instance of "application". I wonder if the 
> > two instances should be changed to "session".
> > 
> >    trust relationship is established between the originating SSP and

> > the
> > Two comments: First, in order to complement the first part, should 
> > the latter part be rewritten as "; and the transit network and the 
> > intentional, or would it be better to talk about "transit SSP". In 
> > this context a transit network must provide functionality at the 
> > session layer (otherwise it would not be considered as indirect 
> > peering), so doesn't this make it an SSP?
> > 
> > John
> >